package de.ozgcloud.bescheid;

import java.io.File;
import java.util.Optional;

import de.ozgcloud.bescheid.vorgang.Vorgang;
import de.ozgcloud.bescheid.vorgang.VorgangId;
import de.ozgcloud.common.binaryfile.FileId;
import lombok.Builder;
import lombok.Getter;
import lombok.With;

@Builder(toBuilder = true)
@Getter
public class Bescheid {

	private VorgangId vorgangId;

	private boolean genehmigt;
	private UserId createdBy;

	private String bescheidFileName;
	private File bescheidFile;
	@With
	private FileId bescheidFileId;
	private String contentType;
	private long size;

	@Builder.Default
	private Optional<String> nachrichtText = Optional.empty();

	private Vorgang.ServiceKonto serviceKonto;
}
