package de.ozgcloud.bescheid;

import de.ozgcloud.bescheid.BescheidServiceGrpc.BescheidServiceImplBase;
import de.ozgcloud.bescheid.attacheditem.AttachedItemService;
import de.ozgcloud.bescheid.attacheditem.BescheidItem;
import de.ozgcloud.bescheid.attacheditem.BescheidItemMapper;
import io.grpc.stub.StreamObserver;
import lombok.RequiredArgsConstructor;
import net.devh.boot.grpc.server.service.GrpcService;

@GrpcService
@RequiredArgsConstructor
class BescheidGrpcService extends BescheidServiceImplBase {

	private final AttachedItemService attachedItemService;
	private final BescheidItemMapper bescheidMapper;

	@Override
	public void getBescheidDraft(GrpcGetBescheidDraftRequest request, StreamObserver<GrpcGetBescheidDraftResponse> responseObserver) {
		var response = attachedItemService.findBescheidItem(request.getVorgangId())
				.map(this::buildResponse)
				.orElseGet(GrpcGetBescheidDraftResponse::getDefaultInstance);

		responseObserver.onNext(response);
		responseObserver.onCompleted();

	}

	GrpcGetBescheidDraftResponse buildResponse(BescheidItem bescheidItem) {
		return GrpcGetBescheidDraftResponse.newBuilder()
				.setBescheid(bescheidMapper.toBescheid(bescheidItem))
				.build();
	}
}
