/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.bescheid.attacheditem;

import java.util.Map;
import java.util.Set;

import lombok.Builder;
import lombok.Getter;

@Builder(toBuilder = true)
@Getter
@Deprecated(since = "2.6.0")
public class BescheidItem {

	static final Set<String> ACCEPTED_SEND_BY_VALUES = Set.of("POSTFACH", "MANUAL");

	public static final String PROPERTY_ID = "id";
	public static final String PROPERTY_CLIENT = "client";
	public static final String PROPERTY_VORGANG_ID = "vorgangId";
	public static final String PROPERTY_ITEM_NAME = "itemName";
	public static final String PROPERTY_VERSION = "version";
	public static final String PROPERTY_ITEM = "item";

	public static final String FIELD_STATUS = "status";
	public static final String FIELD_BESCHIEDEN_AM = "beschiedenAm";
	public static final String FIELD_BEWILLIGT = "bewilligt";
	public static final String FIELD_BESCHEID_DOCUMENT = "bescheidDocument";
	public static final String FIELD_ATTACHMENTS = "attachments";
	public static final String FIELD_SEND_BY = "sendBy";
	public static final String FIELD_NACHRICHT_TEXT = "nachrichtText";
	public static final String FIELD_NACHRICHT_SUBJECT = "nachrichtSubject";

	private String id;
	@Builder.Default
	private long version = 0L;

	private String client;
	private String vorgangId;
	private String itemName;

	private Map<String, Object> bescheidData;

	public enum Status {
		DRAFT, BESCHEID;

		public boolean not(String value) {
			return !hasValue(value);
		}

		public boolean hasValue(String value) {
			return this.name().equalsIgnoreCase(value);
		}
	}
}
