package de.ozgcloud.bescheid.nachricht;

import java.time.ZonedDateTime;

import de.ozgcloud.bescheid.UserId;
import de.ozgcloud.bescheid.vorgang.Vorgang;
import de.ozgcloud.bescheid.vorgang.VorgangId;
import de.ozgcloud.common.binaryfile.FileId;
import lombok.Builder;
import lombok.Getter;
import lombok.NonNull;

@Getter
@Builder
public class Nachricht {

	private NachrichtId id;
	private VorgangId vorgangId;

	@NonNull
	private String subject;
	@NonNull
	private String mailBody;

	private FileId bescheidFileId;

	@NonNull
	private UserId createdBy;
	@Builder.Default
	private ZonedDateTime createdAt = ZonedDateTime.now();

	private Vorgang.PostfachAddress postfachAddress;
}
