package de.ozgcloud.bescheid.vorgang;

import java.util.List;
import java.util.stream.Stream;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;
import org.mapstruct.ReportingPolicy;

import de.ozgcloud.bescheid.vorgang.FormDataEntry.FormField;
import de.ozgcloud.bescheid.vorgang.FormDataEntry.SubForm;
import de.ozgcloud.vorgang.vorgang.GrpcFormField;
import de.ozgcloud.vorgang.vorgang.GrpcSubForm;

@Mapper(unmappedTargetPolicy = ReportingPolicy.ERROR)
public interface FormDataEntryMapper {

	@Mapping(target = "entries", source = ".", qualifiedByName = "mapEntrys")
	@Mapping(target = "entry", ignore = true)
	@Mapping(target = "name", source = "title")
	SubForm fromGrpc(GrpcSubForm subForm);

	FormField fromGrpc(GrpcFormField field);

	@Named("mapEntrys")
	default List<FormDataEntry> mapEntrys(GrpcSubForm subForm) {
		var fieldStream = subForm.getFieldList().stream().map(this::fromGrpc);
		var subFormsStream = subForm.getSubFormList().stream().map(this::fromGrpc);

		return Stream.concat(fieldStream, subFormsStream).toList();
	}

}
