package de.ozgcloud.nachrichten.postfach;

import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;

public class GrpcPostfachAddressTestFactory {

	public static GrpcPostfachAddress create() {
		return createBuilder().build();
	}

	public static GrpcPostfachAddress.Builder createBuilder() {
		return GrpcPostfachAddress.newBuilder()
				.setType(PostfachAddressTestFactory.TYPE)
				.setIdentifier(createIdentifier())
				.setVersion(PostfachAddressTestFactory.VERSION)
				.setServiceKontoType(PostfachTestFactory.POSTFACH_TYPE);
	}

	public static GrpcObject createIdentifier() {
		return GrpcObject.newBuilder()
				.addProperty(GrpcProperty.newBuilder()
						.setName(PostfachNachricht.FIELD_POSTFACH_ID)
						.addValue(PostfachAddressTestFactory.STRING_BASED_IDENTIFIER_POSTFACH_ID_VALUE)
						.build())
				.build();
	}
}