package de.ozgcloud.nachrichten.postfach.bayernid;

import java.time.Instant;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.UUID;

import javax.xml.datatype.DatatypeConfigurationException;
import javax.xml.datatype.DatatypeFactory;
import javax.xml.datatype.XMLGregorianCalendar;

import de.akdb.egov.bsp.nachrichten.IdentifikationNachrichtType;
import de.akdb.egov.bsp.nachrichten.SchluesseltabelleType;
import lombok.val;

class IdentifikationNachrichtTypeTestFactory {
	public static final XMLGregorianCalendar ERSTELLUNGSZEITPUNKT = now();
	public static final String NACHRICHTEN_ID = UUID.randomUUID().toString();

	private static XMLGregorianCalendar now() {
		try {
			val c = new GregorianCalendar();
			c.setTime(Date.from(Instant.now()));
			return DatatypeFactory.newInstance().newXMLGregorianCalendar(c);
		} catch (DatatypeConfigurationException e) {
			throw new RuntimeException(e);
		}
	}

	public static IdentifikationNachrichtType create() {
		IdentifikationNachrichtType identifikationNachrichtType = new IdentifikationNachrichtType();
		identifikationNachrichtType.setNachrichtenId(NACHRICHTEN_ID);
		identifikationNachrichtType.setErstellungszeitpunkt(ERSTELLUNGSZEITPUNKT);
		return identifikationNachrichtType;
	}
}
