/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.notification.postfach;

import de.ozgcloud.notification.command.CommandBody;
import de.ozgcloud.notification.vorgang.VorgangId;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
public class PostfachNachricht implements CommandBody {

	static final String FIELD_VORGANG_ID = "vorgangId";
	static final String FIELD_POSTFACH_ID = "postfachId";
	public static final String FIELD_POSTFACH_ADDRESS = "postfachAddress";
	static final String FIELD_SUBJECT = "subject";
	static final String FIELD_MESSAGE = "mailBody";

	static final String FIELD_REPLY_OPTION = "replyOption";
	static final String DEFAULT_REPLY_OPTION = "FORBIDDEN";

	private VorgangId vorgangId;
	private String postfachId;
	private PostfachAddress postfachAddress;

	private String subject;
	private String mailBody;

	public String getReplyOption() {
		return DEFAULT_REPLY_OPTION;
	}

}
