/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.notification.command;

import static org.mockito.ArgumentMatchers.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;

import de.ozgcloud.vorgang.grpc.command.CommandServiceGrpc.CommandServiceBlockingStub;

class CommandRemoteServiceTest {

	@Spy
	@InjectMocks
	private CommandRemoteService service;
	@Mock
	private CommandServiceBlockingStub stub;
	@Mock
	private CommandMapper mapper;

	@Nested
	class TestCreateCommand {

		@BeforeEach
		void mockStub() {
			when(stub.withInterceptors(any())).thenReturn(stub);
		}

		@Test
		void shoudlCreateRequest() {
			service.createCommand(CommandTestFactory.create());

			verify(mapper).toGrpcRequest(notNull());
		}

		@Test
		void shouldCallStub() {
			when(mapper.toGrpcRequest(any())).thenReturn(GrpcCreateCommandRequestTestFactory.create());

			service.createCommand(CommandTestFactory.create());

			verify(stub).createCommand(notNull());
		}

	}

}
