/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.notification.command;

import java.util.Map;
import java.util.UUID;

import de.ozgcloud.notification.command.Command.CommandOrder;
import de.ozgcloud.notification.vorgang.VorgangTestFactory;

public class CommandTestFactory {

	public static final String ID = UUID.randomUUID().toString();

	public static final String RELATION_ID = UUID.randomUUID().toString();
	public static final CommandOrder ORDER = CommandOrder.SEND_POSTFACH_NACHRICHT;

	public static final String BODY_FIELD_NAME = "name";
	public static final String BODY_FIELD_VALUE = "fritz";

	public static final Command create() {
		return createBuilder().build();
	}

	public static final Command.CommandBuilder createBuilder() {
		return Command.builder()
				.vorgangId(VorgangTestFactory.ID)
				.relationId(RELATION_ID)
				.order(ORDER)
				.body(Map.of(BODY_FIELD_NAME, BODY_FIELD_VALUE));

	}
}
