/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.notification.command;

import de.ozgcloud.notification.vorgang.VorgangTestFactory;
import de.ozgcloud.vorgang.common.grpc.GrpcObjectTestFactory;
import de.ozgcloud.vorgang.grpc.command.GrpcCreateCommandRequest;

public class GrpcCreateCommandRequestTestFactory {

	public static final GrpcCreateCommandRequest create() {
		return createBuilder().build();
	}

	public static final GrpcCreateCommandRequest.Builder createBuilder() {
		return GrpcCreateCommandRequest.newBuilder()
				.setVorgangId(VorgangTestFactory.ID.toString())
				.setRelationId(CommandTestFactory.RELATION_ID)
				.setOrderString(CommandTestFactory.ORDER.name())
				.setBodyObj(GrpcObjectTestFactory.create());
	}
}
