/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.notification.user;

import de.ozgcloud.user.grpc.recipient.GrpcFindRecipientResponse;
import de.ozgcloud.user.recipient.GrpcRecipient;

public class GrpcFindRecipientRequestTestFactory {

	public static final GrpcRecipient GRPC_RECIPIENT = GrpcUserRecipientTestFactory.create();

	public static GrpcFindRecipientResponse create() {
		return createBuilder().build();
	}

	public static GrpcFindRecipientResponse.Builder createBuilder() {
		return GrpcFindRecipientResponse.newBuilder().addRecipient(GRPC_RECIPIENT);
	}

}
