/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import java.util.Map;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

public class AntragstellerTestFactory {

	public static final String ANREDE = "Herr";
	public static final String NACHNAME = LoremIpsum.getInstance().getLastName();
	public static final String VORNAME = LoremIpsum.getInstance().getFirstName();
	public static final String GEBURTSDATUM = "1995-01-01";
	public static final String GEBURTSORT = LoremIpsum.getInstance().getCountry();
	public static final String GEBURTSNAME = LoremIpsum.getInstance().getFirstName();
	public static final String EMAIL = "test@ozg-sh.de";
	public static final String TELEFON = "+ 49 4621 9654";
	public static final String STRASSE = "Lachstrasse";
	public static final String HAUSNUMMER = "8484";
	public static final String PLZ = "12345";
	public static final String ORT = "Wohlfuehlhausen";
	public static final String POSTFACH_ID = UUID.randomUUID().toString();

	public final static String OTHER_DATA_KEY = "Test";
	public final static String OTHER_DATA_VALUE = "Eintrag";

	public static final Map<String, Object> OTHER_DATA = Map.of(OTHER_DATA_KEY, OTHER_DATA_VALUE);

	public static Antragsteller create() {
		return createBuilder().build();
	}

	public static Antragsteller.AntragstellerBuilder createBuilder() {
		return Antragsteller.builder()
				.anrede(ANREDE)
				.nachname(NACHNAME)
				.vorname(VORNAME)
				.geburtsdatum(GEBURTSDATUM)
				.geburtsort(GEBURTSORT)
				.geburtsname(GEBURTSNAME)
				.email(EMAIL)
				.telefon(TELEFON)
				.strasse(STRASSE)
				.hausnummer(HAUSNUMMER)
				.plz(PLZ)
				.ort(ORT)
				.postfachId(POSTFACH_ID)
				.otherData(OTHER_DATA);
	}
}